netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
quota.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/time.h>`
`#include <sys/param.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <atalk/logger.h>`
`#include <atalk/afp.h>`
`#include <atalk/compat.h>`
`#include <atalk/unix.h>`
`#include <atalk/util.h>`
`#include "auth.h"`
`#include "directory.h"`
`#include "volume.h"`
`#include "unix.h"`
`#include <quota.h>`

## Functions
static int | getfreespace (const AFPObj *obj, struct vol *vol, VolSpace *bfree, VolSpace *btotal, id_t id, int idtype)
int | uquota_getvolspace (const AFPObj *obj, struct vol *vol, VolSpace *bfree, VolSpace *btotal, const uint32_t bsize)

## Function Documentation

## ◆ getfreespace()

int getfreespace | ( | const AFPObj * | obj,
|  | struct vol * | vol,
|  | VolSpace * | bfree,
|  | VolSpace * | btotal,
|  | id_t | id,
|  | int | idtype )
| static

## ◆ uquota_getvolspace()

int uquota_getvolspace | ( | const AFPObj * | obj,
|  | struct vol * | vol,
|  | VolSpace * | bfree,
|  | VolSpace * | btotal,
|  | const uint32_t | bsize )